### Class

# Ide Doap

#### Description

    final class Ide.Doap : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_doap_new

No description available.

#### Functions

###### ide_doap_error_quark

No description available.

#### Instance methods

###### ide_doap_get_bug_database

No description available.

###### ide_doap_get_category

No description available.

###### ide_doap_get_description

No description available.

###### ide_doap_get_download_page

No description available.

###### ide_doap_get_homepage

No description available.

###### ide_doap_get_languages

No description available.

Available since: 3.32

###### ide_doap_get_maintainers

No description available.

Available since: 3.32

###### ide_doap_get_name

No description available.

###### ide_doap_get_shortdesc

No description available.

###### ide_doap_load_from_data

No description available.

###### ide_doap_load_from_file

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Doap:bug-database

No description available.

###### Ide.Doap:category

No description available.

###### Ide.Doap:description

No description available.

###### Ide.Doap:download-page

No description available.

###### Ide.Doap:homepage

No description available.

###### Ide.Doap:languages

No description available.

###### Ide.Doap:name

No description available.

###### Ide.Doap:shortdesc

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDoapClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.